Skip to main content
GET
/
v1
/
accounts
/
deposits
List all account deposits
curl --request GET \
  --url https://api-sandbox.circle.com/v1/accounts/deposits \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "destination": {
        "type": "account",
        "id": "12345"
      },
      "amount": {
        "amount": "3.14",
        "currency": "USD"
      },
      "status": "pending",
      "createDate": "2020-04-10T02:13:30.000Z",
      "sourceAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fee": {
        "amount": "3.14",
        "currency": "USD"
      },
      "riskEvaluation": {
        "decision": "approved",
        "reason": "3000"
      },
      "updateDate": "2020-04-10T02:13:30.000Z",
      "source": {
        "type": "wire",
        "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
        "name": "COMMERZBANK AG ****3000"
      },
      "fromAmount": {
        "amount": "3.14",
        "currency": "USD"
      },
      "fees": {
        "amount": "3.14",
        "currency": "USD"
      },
      "externalRef": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "trackingRef": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string

Identifier of the account. Filters results to fetch only resources associated with the specified account.

Example:

"1000565227"

type
enum<string>

Unique identifier for the deposit type. Filters results to fetch deposits made by this specific type.

Available options:
wire
from
string

Queries items created since the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

to
string

Queries items created before the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination. It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

Example:

"def9520a-5280-4089-9b02-3c9ef8fc8514"

pageAfter
string

A collection ID value used for pagination. It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

Example:

"bce1e961-bdb8-4983-a9c2-0b3fbc2614cf"

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of deposits.

data
object[]